<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('NICE_NUMBER_LIST')}</a></li>
            <li><a href="{:url('Liang/add')}">{:lang('ADD')}</a></li>
		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Liang/index')}">
			{:lang('STATUS')}:  
			<select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if>>{$v}</option>
                </volist>

			</select>
			{:lang('NUMBER_OF_DIGITS')}: 
			<select class="form-control" name="length">
				<option value="">{:lang('ALL')}</option>
                <volist name="length" id="v">
                    <option value="{$v['length']}" <if condition="input('request.length') neq '' && input('request.length') eq $v['length']">selected</if>>{$v['length']}</option>
                </volist>
			</select>
			{:lang('MEMBER')}:  
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_MEMBER_ID')}">
			{:lang('NICE_NUMBER')}: 
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_NICE_NUMBER')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>
        
		<form method="post" class="js-ajax-form" action="{:url('Liang/listOrder')}">
			<div class="table-actions">
                <button class="btn btn-primary btn-sm js-ajax-submit" type="submit">{:lang('SORT')}</button>
            </div>
		
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>{:lang('SORT')}</th>
						<th>ID</th>
						<th>{:lang('NICE_NUMBER')}</th>
						<th>所需{$configpub.name_coin}</th>
						<th>所需{$configpub.name_score}</th>
						<th>{:lang('NUMBER_OF_DIGITS')}</th>
						<th>{:lang('STATUS')}</th>
						<th>{:lang('PUBLISH_TIME')}</th>
						<th>{:lang('BUYER')}</th>
						<th>{:lang('PURCHASE_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
                        <td><input name="list_orders[{$vo.id}]" class="input-order" type="text" value="{$vo.list_order}"></td>
						<td>{$vo.id}</td>
						<td>{$vo['name']}</td>
						<td>{$vo['coin']}</td>
						<td>{$vo['score']}</td>
						<td>{$vo['length']}</td>
						<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
						<if condition="$vo['uid'] eq '0'">
							<td>{$status[$vo['status']]}</td>
							<td>{$status[$vo['status']]}</td>
						<else/>
							<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
							<td>{:date('Y-m-d H:i:s',$vo['buytime'])}</td>
						</if>

						<td>
							<if condition="$vo['status'] eq '0'">
                            <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Liang/setstatus',array('id'=>$vo['id'],'status'=>'2'))}" >{:lang('STOP_SALE')}</a>
							<elseif condition="$vo['status'] eq '2'"/>
                             <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Liang/setstatus',array('id'=>$vo['id'],'status'=>'0'))}" >{:lang('SALE')}</a>
							</if>
							<if condition="$vo['status'] neq '1'">
                            <a class="btn btn-xs btn-primary" href='{:url("Liang/edit",array("id"=>$vo["id"]))}'>{:lang('EDIT')}</a>
							<a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Liang/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
                            </if>
						</td>
					</tr>
					</foreach> 
				</tbody>
			</table>
			<div class="pagination">{$page}</div>
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
</body>
</html>